Bug 126555 - Kernel hangs after several hours
Kernel hangs after several hours
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 126554 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-23 03:42 EDT by Marek Greško
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Greško 2004-06-23 03:42:52 EDT
Description of problem:

Kernel hangs. One I have found this in the log:

Jun 22 07:51:44 gamma apcupsd[4076]: Power failure.
Jun 22 07:51:44 gamma wall[17465]: wall: user root broadcasted 1 
lines (50 chars
)
Jun 22 07:51:49 gamma apcupsd[4076]: Power is back. UPS running on 
mains.
Jun 22 07:51:49 gamma wall[17477]: wall: user root broadcasted 1 
lines (44 chars
)
Jun 22 07:52:26 gamma apcupsd[4076]: Power failure.
Jun 22 07:52:26 gamma wall[17491]: wall: user root broadcasted 1 
lines (50 chars
)
Jun 22 07:52:31 gamma apcupsd[4076]: Power is back. UPS running on 
mains.
Jun 22 07:52:31 gamma wall[17502]: wall: user root broadcasted 1 
lines (44 chars
)
Jun 22 07:58:18 gamma kernel: hub 1-0:1.0: port 1 disabled by hub 
(EMI?), re-ena
bling...<6>usb 1-1: USB disconnect, address 2
Jun 22 07:58:18 gamma kernel: updfstab: Using deprecated /dev/sg 
mechanism inste
ad of SG_IO on the actual device
Jun 22 07:58:18 gamma last message repeated 2 times
Jun 22 07:58:18 gamma kernel: usb 1-1: new low speed USB device using 
address 6
Jun 22 07:58:19 gamma kernel: hiddev97: USB HID v1.00 Device 
[American Power Con
version Back-UPS 500 FW: 6.4.I USB FW: c1 ] on usb-0000:00:1d.0-1
Jun 22 07:58:19 gamma kernel: hub 1-0:1.0: port 2 disabled by hub 
(EMI?), re-ena
bling...<6>usb 1-2: USB disconnect, address 5
Jun 22 07:58:19 gamma kernel: updfstab: Using deprecated /dev/sg 
mechanism inste
ad of SG_IO on the actual device
Jun 22 07:58:19 gamma last message repeated 5 times
Jun 22 07:58:20 gamma kernel: usb 1-2: new low speed USB device using 
address 7
Jun 22 07:58:20 gamma kernel: input: USB HID v1.10 Keyboard [USB 
MULTIMEDIA KEYB
OARD] on usb-0000:00:1d.0-2
Jun 22 07:58:20 gamma kernel: input: USB HID v1.10 Device [USB 
MULTIMEDIA KEYBOA
RD] on usb-0000:00:1d.0-2
Jun 22 07:58:33 gamma kernel: Unable to handle kernel paging request 
at virtual
address 45472220
Jun 22 07:58:33 gamma kernel:  printing eip:
Jun 22 07:58:33 gamma kernel: 0223bfbc
Jun 22 07:58:33 gamma kernel: *pde = 00000000
Jun 22 07:58:33 gamma kernel: Oops: 0000 [#1]
Jun 22 07:58:33 gamma kernel: SMP
Jun 22 07:58:33 gamma kernel: Modules linked in: loop ipv6 parport_pc 
lp parport
 ds yenta_socket pcmcia_core e1000 ipt_TOS ipt_MARK ipt_LOG ipt_limit 
ipt_state
ipt_REJECT iptable_mangle iptable_nat iptable_filter ip_tables 
ip_conntrack_ftp
ip_conntrack floppy sg microcode ohci1394 ieee1394 joydev dm_mod 
uhci_hcd button
 battery asus_acpi ac ext3 jbd raid5 xor raid1 raid0 aic7xxx sd_mod 
scsi_mod
Jun 22 07:58:33 gamma kernel: CPU:    0
Jun 22 07:58:33 gamma kernel: EIP:    0060:[<0223bfbc>]    Not tainted
Jun 22 07:58:33 gamma kernel: EFLAGS: 00010246   (2.6.6-1.435smp)
Jun 22 07:58:33 gamma kernel: EIP is at hiddev_ioctl+0x16e/0x88c
Jun 22 07:58:33 gamma kernel: eax: 45472220   ebx: 407fffff   ecx: 
6567616d   ed
x: 00000000
Jun 22 07:58:33 gamma kernel: esi: 00000000   edi: 32302b20   ebp: 
00000000   es
p: 3bea2eec
Jun 22 07:58:33 gamma kernel: ds: 007b   es: 007b   ss: 0068
Jun 22 07:58:33 gamma kernel: Process apcupsd (pid: 4076, 
threadinfo=3bea2000 ta
sk=24f0f310)
Jun 22 07:58:33 gamma kernel: Stack: 00000000 3a88eccc 2acc8180 
00000246 0231524
0 00000000 3f85c534 0223bb8b
Jun 22 07:58:33 gamma kernel:        02315240 2acc8180 3f85c534 
ffffffed 0223452
4 41fb59d8 3bea2000 3f85c534
Jun 22 07:58:33 gamma kernel:        00000000 02159263 2acc8180 
00000000 2acc818
0 3f85c534 2acc8180 41facfc0
Jun 22 07:58:33 gamma kernel: Call Trace:
Jun 22 07:58:33 gamma kernel:  [<0223bb8b>] hiddev_open+0x36/0xaa
Jun 22 07:58:33 gamma kernel:  [<02234524>] usb_open+0x80/0x11e
Jun 22 07:58:33 gamma kernel:  [<02159263>] chrdev_open+0x151/0x18a
Jun 22 07:58:33 gamma kernel:  [<021514ad>] dentry_open+0xed/0x198
Jun 22 07:58:33 gamma kernel:  [<021513ba>] filp_open+0x36/0x3c
Jun 22 07:58:33 gamma kernel:  [<02160f52>] sys_ioctl+0x207/0x243
Jun 22 07:58:33 gamma kernel:
Jun 22 07:58:33 gamma kernel: Code: 83 3c 10 01 75 06 4d 83 fd ff 74 
08 46 83 c2
 0c 39 ce 72 e9
Jun 22 07:58:41 gamma dovecot(pam_unix)[17873]: authentication ....
Jun 22 08:21:20 gamma syslogd 1.4.1: restart.

Second day the machine was completely dead without any log.

Version-Release number of selected component (if applicable):

kernel-smp-2.6.6-1.435

How reproducible:


Steps to Reproduce:
1. Boot.
2. Wait.
3. System hangs.
  
Actual results:

System hangs.

Expected results:

System continues working.

Additional info:

We are running system on APC Back UPS CS 500 which frequently 
switches to batteries and back because of insufficient power supply. 
But previous kernels run OK. I suspect it could be some bug in USB 
implementation. The board is ABIT IC7-G and we use following 
modprobe.conf:

include /etc/modprobe.conf.dist
alias scsi_hostadapter aic7xxx
alias usb-controller uhci-hcd
alias ieee1394-controller ohci1394
alias eth0 e1000
Comment 1 Marek Greško 2004-06-25 03:48:32 EDT
*** Bug 126554 has been marked as a duplicate of this bug. ***
Comment 2 Marek Greško 2004-06-25 03:51:33 EDT
When I unplugged the USB wire from the APC Back UPS CS 500 kernel does
not crash any more. USB problem?
Comment 3 Dave Jones 2005-01-14 00:17:53 EST
is this still a problem with the latest 2.6.10 updates ?
Comment 4 Dave Jones 2005-04-16 01:05:01 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.